@import "../../assets/utils";

.accordion {
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.12);
  border-radius: 4px;
}

.header {
  padding: 12px 16px;
  border-radius: 4px 4px 0 0;
  background: $color-quinary;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.title {
  flex-grow: 1;
}

.toggleTrigger {
  flex-shrink: 0;

  &:not(:hover) {
    opacity: .64;
  }

  transform: rotateX(180deg);

  transition: transform .15s ease, opacity .15s ease;
}

.toggleTriggerActive {
  transform: rotateX(0);
}

.content {
  background: $color-secondary;
  overflow: hidden;
}

.contentInner {
  padding: 16px;
}